<template>
    <div class="content-wrapper">
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
              <div class="card">
                <div class="card-body">
                  <h4 class="card-title">All Created Events</h4>
                  <table class="table table-bordered table-responsive">
                    <thead>
                      <tr>
                        <th>
                         Sr. No
                        </th>
                        <th>
                        Event Title
                        </th>
                        <th>
                        Event Description
                        </th>
                        <th>
                        Start date
                        </th>
                        <th>
                        End date
                        </th>
                        <th colspan="2">
                            Action
                        </th>
                      </tr>
                    </thead>
                    <tbody>

                      <tr v-for="event in events">
                        <td>
                          1
                        </td>
                        <td>
                         {{ event.title }}
                        </td>
                        <td>
                         {{ event.description }}
                        </td>
                        <td>
                         {{ event.start  }}
                        </td>
                        <td>
                         {{ event.end }}
                        </td>
                        <td>
                          <button  data-toggle="modal" class="btn btn-primary" :data-target="'#myModal'+event.id">edit</button>
                        </td>
                        <td>
                            <button class="btn btn-danger" @click="deleteRecord(event.id)">delete</button>
                        </td>
                        <!-- The Modal -->
<div class="modal" :id="'myModal'+event.id">
  <div class="modal-dialog">
    <div class="modal-content">

      <!-- Modal Header -->
      <div class="modal-header">
        <h4 class="modal-title">Edit Events</h4>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>

      <!-- Modal body -->
      <div class="modal-body">
       
       <input type="hidden" name="eventId" v-model="event.eventId" >
        <div class="form-group">
            <label for="title">
                Title
            </label>
            <input class="form-control" name="title" placeholder="Title" type="text"   v-model="event.title">
            <ul v-if="error.title" class="list-unstyled">
             <li>{{ error.title[0] }}  </li>
			    </ul>
        </div>
        <div class="form-group">
            <label for="description">
                Description
            </label>
            <input class="form-control" name="description" placeholder="Description" type="text" v-model="event.description">
           <ul v-if="error.description" class="list-unstyled">
             <li>{{ error.description[0] }}  </li>
			    </ul>
        </div>
        <div class="form-group">
            <label for="start_date">
                Start Date
            </label>
            <input class="form-control" name="start_date" placeholder="Start Date" type="text" v-model="event.start">
           <ul v-if="error.start_date" class="list-unstyled">
             <li>{{ error.start_date[0] }}  </li>
			    </ul>
        </div>
        <div class="form-group">
            <label for="end_date">
                End Date
            </label>
            <input class="form-control" name="end_date" placeholder="End Date" type="text" v-model="event.end">
           <ul v-if="error.end_date" class="list-unstyled">
             <li>{{ error.end_date[0] }}  </li>
			    </ul>
        </div>
        <button class="btn btn-primary" type="submit" @click="updateRecord(event)">
            Submit
        </button>
      </div>
      <!-- Modal footer -->
      <div class="modal-footer">
        <button type="button" class="btn btn-danger" data-dismiss="modal" >Close</button>
      </div>
    </div>
  </div>
</div>
                      </tr>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
        </div>
    </div>
</template>
<script>
export default {
    data(){
        return {
           events:[],
           error :[],
           eventId:'',
           fields:[],
           title:'',
           description :'',
           start :'',
           end : '',
           success:'',
           updationsuccess:'',
        }
    },
    methods :{
        updateRecord(event)
        {
          this.title= event.title,
          this.eventId = event.id,
          console.log(this.title)

          axios.post('/updateevent',{
            'eventId':this.eventId,
            'title':event.title,
            'description':event.description,
            'start_date':event.start,
            'end_date':event.end,
          })
           .then(data => {
               this.$emit('updationsuccess',data); // emit is a event creator it's create a event globally which we reciever after submitting that returning here
               this.updationsuccess = "Record updated successfully";
               if(data.data){
               
               }else{

               }
             })
               .catch(error =>  {
               this.error = error.response.data.errors;
             })
        },
        reloaddata: function()
        {
          axios.get('/adminevent')
          .then((response) => this.events = response.data)
        },
        deleteRecord(eventId){
          axios.post('/deleteevent/'+eventId,{
           
          })
          .then(data=>{
            this.$eventBus.$emit('deletedsuccessfully');
          })
        },
        
    },
     created(){
       this.$eventBus.$on('deletedsuccessfully',this.reloaddata);
        axios.get('/adminevent')
        .then((response) => this.events = response.data)
        .catch((error) => console.log(error));
        },
}
</script>
<style>
li{
  color: red!important;
}

</style>


